<template>
    <div class="modal" :class="{'is-active': active}">
        <div class="modal-background"></div>
        <div class="modal-card">
            <header class="modal-card-head">
                <p class="modal-card-title">{{ $t('modal.welcome.title') }}</p>
                <button class="delete" aria-label="close" @click="close"></button>
            </header>
            <section class="modal-card-body">
                <h5 class="title is-5">{{ $t('modal.welcome.subtitle') }}</h5>
                <p>
                    {{ $t('modal.welcome.text') }}
                </p>
                <i18n path="modal.welcome.text2" tag="p">
                    <template v-slot:search>
                        <nuxt-link :to="localePath('/search')" @click="close">{{ $t('modal.welcome.search') }}</nuxt-link>
                    </template>
                    <template v-slot:random>
                        <nuxt-link :to="localePath('/')" @click="close">{{ $t('modal.welcome.random') }}</nuxt-link>
                    </template>
                </i18n>
                <p>
                    <i18n path="modal.welcome.text3" tag="em">
                        <template v-slot:discord>
                            <a href="https://karaokes.moe/discord" target="_blank">{{ $t('modal.welcome.discord') }}</a>
                        </template>
                    </i18n>
                </p>
            </section>
            <footer class="modal-card-foot">
                <button class="button is-success" @click="close">{{ $t('modal.welcome.btn') }}</button>
            </footer>
        </div>
    </div>
</template>

<script lang="ts">
    import Vue from 'vue'

    export default Vue.extend({
        data() {
            return {
                active: false
            }
        },

        methods: {
            close() {
                this.active = false;
                window.localStorage.hideModal = true;
            }
        },

        mounted() {
            if (window.localStorage.hideModal) {
                return;
            } else {
                this.active = true;
            }
        }
    });
</script>
